Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.db
Interface Recordset

    public interface Recordset

A `Recordset` is a set of records.

Field Summary
`static int` | `CACHED` The constant indicating that a recordset is not connected to JDBC
`static int` | `LINKED` The constant indicating that a recordset is connected to JDBC

Method Summary
`void` | `close()` Close the record set.
`int` | `columns()` Returns the amount of all columns in a record.
`void` | `delete()` Delete current record.
`FieldValue[]` | `fields()` Gets `FieldValue` array of a record.
`FieldValue` | `fields(int index)` Gets `FieldValue` that indicated by an index.
`FieldValue` | `fields(java.lang.String fdName)` Gets `FieldValue` that indicated by a field name.
`boolean` | `first()` Cursor move to the first record.
`boolean` | `getBoolean(int index)`
`boolean` | `getBoolean(java.lang.String fdName)`
`byte` | `getByte(int index)`
`byte` | `getByte(java.lang.String fdName)`
`byte[]` | `getBytes(int index)`
`byte[]` | `getBytes(java.lang.String fdName)`
`java.sql.Date` | `getDate(int index)`
`java.sql.Date` | `getDate(java.lang.String fdName)`
`double` | `getDouble(int index)`
`double` | `getDouble(java.lang.String fdName)`
`float` | `getFloat(int index)`
`float` | `getFloat(java.lang.String fdName)`
`int` | `getInt(int index)`
`int` | `getInt(java.lang.String fdName)`
`long` | `getLong(int index)`
`long` | `getLong(java.lang.String fdName)`
`int` | `getSetType()` Returns the type of the `Recordset`, it should be one of `jet.server.api.db.Recordset.LINKED` or `jet.server.api.db.Recordset.CACHED`
`short` | `getShort(int index)`
`short` | `getShort(java.lang.String fdName)`
`java.lang.String` | `getString(int index)`
`java.lang.String` | `getString(java.lang.String fdName)`
`java.sql.Time` | `getTime(int index)`
`java.sql.Time` | `getTime(java.lang.String fdName)`
`java.sql.Timestamp` | `getTimestamp(int index)`
`java.sql.Timestamp` | `getTimestamp(java.lang.String fdName)`
`java.lang.Object` | `getValue(int index)` Gets value of the specified field by the field index
`java.lang.Object` | `getValue(java.lang.String fdName)` Gets value of the specified field by the field name
`boolean` | `next()` Cursor move to the next record from the current record.
`int` | `rows()` Returns the amount of all rows in this records set.

Field Detail

### LINKED

    static final int LINKED

  The constant indicating that a recordset is connected to JDBC

  See Also:
    Constant Field Values

### CACHED

    static final int CACHED

  The constant indicating that a recordset is not connected to JDBC

  See Also:
    Constant Field Values

Method Detail

### getSetType

    int getSetType()

  Returns the type of the `Recordset`, it should be one of `jet.server.api.db.Recordset.LINKED` or `jet.server.api.db.Recordset.CACHED`

  Returns:
    the type of the `Recordset`.

### fields

    FieldValue[] fields()

  Gets `FieldValue` array of a record.

  Returns:

### fields

    FieldValue fields(int index)

  Gets `FieldValue` that indicated by an index.

  Parameters:
    `index` -
  Returns:
    the `FieldValue`

### fields

    FieldValue fields(java.lang.String fdName)

  Gets `FieldValue` that indicated by a field name.

  Parameters:
    `fdName` - the field name
  Returns:
    `FieldValue`

### rows

    int rows()

  Returns the amount of all rows in this records set.

  Returns:

### columns

    int columns()

  Returns the amount of all columns in a record.

  Returns:

### first

    boolean first()

  Cursor move to the first record.

  Returns:

### next

    boolean next()

  Cursor move to the next record from the current record.

  Returns:

### delete

    void delete()

  Delete current record.

### close

    void close()

  Close the record set.

### getValue

    java.lang.Object getValue(int index)

  Gets value of the specified field by the field index

  Parameters:
    `index` -
  Returns:

### getValue

    java.lang.Object getValue(java.lang.String fdName)

  Gets value of the specified field by the field name

  Parameters:
    `fdName` -
  Returns:

### getBoolean

    boolean getBoolean(int index)
                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getBoolean

    boolean getBoolean(java.lang.String fdName)
                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getByte

    byte getByte(int index)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getByte

    byte getByte(java.lang.String fdName)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getShort

    short getShort(int index)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getShort

    short getShort(java.lang.String fdName)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getInt

    int getInt(int index)
               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getInt

    int getInt(java.lang.String fdName)
               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getLong

    long getLong(int index)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getLong

    long getLong(java.lang.String fdName)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getFloat

    float getFloat(int index)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getFloat

    float getFloat(java.lang.String fdName)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getDouble

    double getDouble(int index)
                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getDouble

    double getDouble(java.lang.String fdName)
                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getString

    java.lang.String getString(int index)
                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getString

    java.lang.String getString(java.lang.String fdName)
                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getBytes

    byte[] getBytes(int index)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getBytes

    byte[] getBytes(java.lang.String fdName)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getDate

    java.sql.Date getDate(int index)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getDate

    java.sql.Date getDate(java.lang.String fdName)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getTime

    java.sql.Time getTime(int index)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getTime

    java.sql.Time getTime(java.lang.String fdName)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getTimestamp

    java.sql.Timestamp getTimestamp(int index)
                                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getTimestamp

    java.sql.Timestamp getTimestamp(java.lang.String fdName)
                                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD